DNS records and DNSSEC
Request, parameters and responses for this API endpoint.
GET
/api/v1/customer/products/{id}/domain/dnsOverview
This endpoint requires an active API key with read access.
Headers & parameters
AuthorizationBearer $SYSTEY_API_KEY · required
idpath · required{"type":"string","format":"uuid"}
Example request
Replace placeholders with your own values. Persist $REQUEST_UUID before a mutation if this endpoint requires an Idempotency-Key.
cURL
curl -i -X GET "https://systey.com/api/v1/customer/products/<resource UUID>/domain/dns" \
-H "Authorization: Bearer $SYSTEY_API_KEY"Response
HTTP 200
| Field | Type | Required |
|---|---|---|
data | object | Yes |
data.recordsmaxItems: 200 | array | Yes |
data.records[] | object | — |
data.records[].name | string | Yes |
data.records[].type"A" | "AAAA" | "CNAME" | "MX" | "TXT" | "SRV" | "CAA" | "ALIAS" | string | Yes |
data.records[].value | string | Yes |
data.records[].ttlmin: 60 · max: 86400 | integer | Yes |
data.records[].prefmin: 0 · max: 65535 | integer | — |
data.dnssec | boolean | Yes |
Errors
Error responses contain error and optionally message and details. Rate limit: 120 requests per minute per key. On HTTP 429 respect Retry-After.

